Bug 1144888 - Need to build DV console from EAP 6.3.2 version of HAL
Summary: Need to build DV console from EAP 6.3.2 version of HAL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Integration, Teiid
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER6
: 6.1.0
Assignee: Julian Coleman
QA Contact:
URL:
Whiteboard:
Depends On: 1133991 1144889 1145718
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-21 21:18 UTC by Van Halbert
Modified: 2015-03-26 07:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1144889 (view as bug list)
Environment:
Last Closed: 2015-03-23 14:02:28 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker HAL-484 0 Major Closed Resource Adapters not visible in web console 2015-03-26 07:53:03 UTC
Red Hat Issue Tracker TEIIDWEBCN-9 0 Major Closed Resource Adapters not visible in web console 2015-02-03 13:41:54 UTC
Red Hat Issue Tracker WFLY-3880 0 Major Resolved Resource Adapters not visible in web console 2014-09-22 06:53:20 UTC

Comment 2 JBoss JIRA Server 2014-09-22 06:53:21 UTC
Heiko Braun <ike.braun@googlemail.com> updated the status of jira WFLY-3880 to Resolved

Comment 3 Van Halbert 2014-09-22 13:07:02 UTC
The fix appears to be targeted to EAP 6.4, and will therefore, miss DV 6.1.  Is this OK?

Comment 4 Van Halbert 2014-11-10 18:24:02 UTC
BZ:  https://bugzilla.redhat.com/show_bug.cgi?id=1145718
has verified the fix for displaying the resource adapters.

Talked with Julian, and DV builds its own version of HAL.  But need to make sure its built from the 6.3.2+ version.

Comment 5 Julian Coleman 2015-01-08 12:51:23 UTC
Fixed with commit ID 82510c8e5fb093913ba78681d571cbbd33eb766d of integration-platform-config:

    Update HAL version for EAP 6.3.2 base.

Comment 6 Jan Stastny 2015-02-03 10:45:44 UTC
I still see the empty 'Archive' columns in resource adapters screen in web console in DV 6.1.0 ER6. All the problems stated in the initial post still persist.

Comment 7 JBoss JIRA Server 2015-02-03 13:41:54 UTC
Van Halbert <vhalbert@jboss.org> updated the status of jira TEIIDWEBCN-9 to Closed

Comment 8 Van Halbert 2015-02-03 13:44:07 UTC
This issue doesn't appear to be fixed in HAL.  It shows someone worked on it, but it doesn't appear to be completed.

Comment 9 Van Halbert 2015-02-03 13:47:56 UTC
But you look at BZ:  https://bugzilla.redhat.com/show_bug.cgi?id=1145718
it shows being verified in EAP 6.3.2.

Julian, 

Is there a way to verify that what DV JON plugins are built on is the same that the above BZ for EAP is using?

Comment 10 Van Halbert 2015-03-23 14:02:28 UTC
After talking with Julian, its been determined that this BZ has been fixed in the current DV 6.1 release (otherwise, we could't have tested and released the web console).

Comment 11 JBoss JIRA Server 2015-03-26 07:53:06 UTC
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-484 to Closed


Note You need to log in before you can comment on or make changes to this bug.